# Forms components and functions

## Fields
* **FormFieldCheckbox**
* **FormFieldDatePicker**
* **FileInput** and **FileField**
* **InputTextField**
* **RadioGroupField**
* **SelectButtonField**
* **FormFieldSelect**, **CheckboxOption** and **ValueContainer**
* **FormFieldTextarea**

## Field wrapper
* **FieldWrapper**
* **FieldWrapperStandalone**

## Form
* **FinalForm**

## Form header
* **FormHeader**

## Fields generator
* **controlTypes** - enum of fields
* **generateField** - function for generate field with specified type

## Utils
* **focusOnError**
* **focusOnErrorDecorator**
* **setErrorsMutator**
* **sendFormDataToServer**
* **useFormState**

# Hooks
* **useYupValidationSchema**

# Validators
* **emailValidation**
* **addRequiredFieldsParamToSchema**
